Debian Bug report logs - #630464
--architectures armel fails unconditionally

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Tue, 14 Jun 2011 08:09:02 UTC

Severity: normal

Tags: patch

Found in version live-build/3.0~a21-1

Fixed in version live-build/3.0~a22-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630464; Package live-build. (Tue, 14 Jun 2011 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 14 Jun 2011 08:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: --architectures armel fails unconditionally
Date: Tue, 14 Jun 2011 09:04:54 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a21-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

functions/defaults.sh exits 1 in the '--architectures armel' case,
saying that you need to use -k/--linux-flavours.  It should only do this
if --linux-flavours wasn't passed.  Patch attached.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Make-architectures-armel-only-fail-if-linux-flavours.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630464; Package live-build. (Tue, 14 Jun 2011 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 14 Jun 2011 10:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 630464@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 630464@bugs.debian.org
Subject: Re: Bug#630464: --architectures armel fails unconditionally
Date: Tue, 14 Jun 2011 12:15:34 +0200
tag 630464 pending
thanks

On 06/14/2011 10:04 AM, Colin Watson wrote:
> functions/defaults.sh exits 1 in the '--architectures armel' case,
> saying that you need to use -k/--linux-flavours.  It should only do this
> if --linux-flavours wasn't passed.  Patch attached.

applied, with 'adjusted' indenting and braces, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 14 Jun 2011 10:18:24 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 29 Jun 2011 04:51:05 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Wed, 29 Jun 2011 04:51:05 GMT) Full text and rfc822 format available.

Message #17 received at 630464-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 630464-close@bugs.debian.org
Subject: Bug#630464: fixed in live-build 3.0~a22-1
Date: Wed, 29 Jun 2011 04:47:12 +0000
Source: live-build
Source-Version: 3.0~a22-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a22-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a22-1_all.deb
live-build_3.0~a22-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a22-1.debian.tar.gz
live-build_3.0~a22-1.dsc
  to main/l/live-build/live-build_3.0~a22-1.dsc
live-build_3.0~a22-1_all.deb
  to main/l/live-build/live-build_3.0~a22-1_all.deb
live-build_3.0~a22.orig.tar.gz
  to main/l/live-build/live-build_3.0~a22.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630464@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jun 2011 06:18:11 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a22-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 630464 630604 630919
Changes: 
 live-build (3.0~a22-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Using -wildcards option when calling mksquashfs with an excludes
     file.
 .
   [ Colin Watson ]
   * Make --architectures armel only fail if --linux-flavours was not
     passed (Closes: #630464).
 .
   [ Daniel Baumann ]
   * Renaming repositories option to archives for consistency with
     debian-policy terminology.
   * Renaming chroot_sources script to chroot_archives for consistency
     with debian-policy terminology.
   * Unifying config/chroot_archives and config/archives, now only using
     config/archives.
   * Setting default distribution to wheezy (at least until #622838 is
     handled).
   * Changing archives key suffix from .gpg to .key.
   * Using .list suffix in config/archives.
   * Unifying config/chroot_local-packagelists and config/binary_local-
     packagelists.
   * Moving internal global package lists from 'lists' to 'package-
     lists'. This is not a user visible change.
   * Moving config/chroot_local-tasklists/*.list to config/task-
     lists/*.chroot.list, analogue to config/package-lists.
   * Since we don't have global tasks anymore, renaming lb_chroot_local-
     tasklists to lb_chroot_task-lists.
   * Since we don't have global packages anymore, renaming
     lb_chroot_local-packages to lb_chroot_packages and
     config/chroot_local-packages to config/chroot_packages.
 .
   [ Colin Watson ]
   * Fix default for LB_PARENT_ARCHIVE_AREAS (Closes: #630604).
 .
   [ Daniel Baumann ]
   * Correct rmdir call in top-level Makefiles uninstall target to not
     fail if there was no prior live-build installation.
   * Adjust name of archives directory in config tree.
   * Removing forgotten reference to chroot_packages in lb_chroot.
   * Correct keyring packages temporary workaround to not fail when
     aptitude is selected (Closes: #630919).
   * Making copyright file distribution neutral.
   * Making copyright headers distribution neutral.
   * Making help message about missing po4a in manpages makefile
     distribution neutral.
Checksums-Sha1: 
 e153f7c7dac7a420fed116fdb7d7831a6ac4a2b2 1282 live-build_3.0~a22-1.dsc
 4e45ae32a035bbfeafc54c43e732bd88d4d87e3e 1885736 live-build_3.0~a22.orig.tar.gz
 4927d652c21be1dcf29562225bc1eb3e427e2276 42393 live-build_3.0~a22-1.debian.tar.gz
 c66c0b18fc160e1232d3176b301992f94bb06929 1132938 live-build_3.0~a22-1_all.deb
 ca02cd01ed3ccd0f90533f3c8fad67cf70880f84 58804 live-build-cgi_3.0~a22-1_all.deb
Checksums-Sha256: 
 16d697f321f6fe8a1019ac351fa83b8b860734691ac6a6dd0c88a1766cc0e1f3 1282 live-build_3.0~a22-1.dsc
 a0cfa0701de54d3c7dc48c0bfe957391a12e17d16b18df8b8ddc18a347bc21e6 1885736 live-build_3.0~a22.orig.tar.gz
 2295ded11c71e41d47f488b8e49e1e6395803d9796688d5e3b89e43b50070f5e 42393 live-build_3.0~a22-1.debian.tar.gz
 a90f447195717b3013cfb62ce5165412f256cdaf9dcf5445dca095d5f4b8efe7 1132938 live-build_3.0~a22-1_all.deb
 99213d1c5ad80cabcb3678e516b9e426c6c7536516b7ddb22a8cae85e6db1bb9 58804 live-build-cgi_3.0~a22-1_all.deb
Files: 
 7b2f5bfb90e11559de90c1d967f040d7 1282 misc optional live-build_3.0~a22-1.dsc
 7f8fe0b503fdecf06a3350d28c94e168 1885736 misc optional live-build_3.0~a22.orig.tar.gz
 389f639592880c109b9c6894431d0fd4 42393 misc optional live-build_3.0~a22-1.debian.tar.gz
 bcd18f2e8eac94c8317d959f18745579 1132938 misc optional live-build_3.0~a22-1_all.deb
 39112eab72103052e27a91896c550861 58804 misc optional live-build-cgi_3.0~a22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4KqlAACgkQ+C5cwEsrK57r4gCgzbFNichkyrQoIVTlOcri1pXF
dbYAoMLEyHuHD6XearMTrtGCBLBxjTZh
=z2XM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Oct 2011 07:40:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 07:03:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.